
Ruby - Bug #12279

cont.c: wrong _MSC_VER check

04/13/2016 07:17 PM - cremno (cremno phobia)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: DONTNEED, 2.2: DONTNEED, 2.3:

DONE

Description

2.3.0 and trunk are affected. I wonder why compiling with Visual C++ 6.0 is still supported.

diff --git a/cont.c b/cont.c

index 8ebd78f..729a025 100644

--- a/cont.c

+++ b/cont.c

@@ -657,7 +657,7 @@ fiber_initialize_machine_stack_context(rb_fiber_t *fib, size_t size)

     rb_thread_t *sth = &fib->cont.saved_thread;

 

 #ifdef _WIN32

-# if defined(_MSC_VER) && _MSC_VER <= 0x1200

+# if defined(_MSC_VER) && _MSC_VER <= 1200

 #   define CreateFiberEx(cs, stacksize, flags, entry, param) \

     CreateFiber((stacksize), (entry), (param))

 # endif

Associated revisions

Revision 06ccd6846d4220cb2037b08d7bd68fa3594c9bc3 - 04/14/2016 05:28 AM - nobu (Nobuyoshi Nakada)

cont.c: wrong _MSC_VER check

cont.c (fiber_initialize_machine_stack_context): fix wrong

_MSC_VER check, should be decimal but not hexadecimal.

[ruby-core:74936] [Bug #12279]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54574 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 06ccd684 - 04/14/2016 05:28 AM - nobu (Nobuyoshi Nakada)

cont.c: wrong _MSC_VER check

cont.c (fiber_initialize_machine_stack_context): fix wrong

_MSC_VER check, should be decimal but not hexadecimal.

[ruby-core:74936] [Bug #12279]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@54574 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 892deeb55b0cdb3c58ffa96cd6b9fef87c822648 - 04/18/2016 08:26 AM - naruse (Yui NARUSE)

merge revision(s) 54574: [Backport #12279]

    * cont.c (fiber_initialize_machine_stack_context): fix wrong

      _MSC_VER check, should be decimal but not hexadecimal.

      [ruby-core:74936] [Bug #12279]

    * cont.c (fiber_initialize_machine_stack_context): fix wrong

      _MSC_VER check, should be decimal but not hexadecimal.

      [ruby-core:74936] [Bug #12279]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54634 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 892deeb5 - 04/18/2016 08:26 AM - naruse (Yui NARUSE)

merge revision(s) 54574: [Backport #12279]
    * cont.c (fiber_initialize_machine_stack_context): fix wrong

      _MSC_VER check, should be decimal but not hexadecimal.

      [ruby-core:74936] [Bug #12279]

    * cont.c (fiber_initialize_machine_stack_context): fix wrong

      _MSC_VER check, should be decimal but not hexadecimal.

      [ruby-core:74936] [Bug #12279]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54634 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/14/2016 05:29 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r54574.

cont.c: wrong _MSC_VER check

cont.c (fiber_initialize_machine_stack_context): fix wrong

_MSC_VER check, should be decimal but not hexadecimal.

[ruby-core:74936] [Bug #12279]

#2 - 04/18/2016 08:26 AM - naruse (Yui NARUSE)

- Backport changed from 2.1: DONTNEED, 2.2: DONTNEED, 2.3: REQUIRED to 2.1: DONTNEED, 2.2: DONTNEED, 2.3: DONE

ruby_2_3 r54634 merged revision(s) 54574.
